package com.jpsoft.shinestar.modules.base.dao;

import com.jpsoft.shinestar.modules.base.entity.HolidayInfo;
import com.jpsoft.shinestar.modules.common.dto.Sort;
import org.springframework.stereotype.Repository;

import java.util.Date;
import java.util.List;
import java.util.Map;

@Repository
public interface HolidayInfoDAO {
	int insert(HolidayInfo entity);
	int update(HolidayInfo entity);
	int exist(String id);
	HolidayInfo get(String id);
	int delete(String id);
	List<HolidayInfo> list();
	List<HolidayInfo> search(Map<String, Object> searchParams, List<Sort> sortList);
	List<HolidayInfo> findByCompanyCodeAndTimeRange(String childrenCode, Date startDate, Date endDate);
	List<HolidayInfo> findByDate(Date date);
	HolidayInfo existByDateAndCompanyId(Date attendanceDate, String companyId);
}